Development

#10061 (fix Propel 1.4 on PHP 5.4)

You must first sign up to be able to contribute.

Ticket #10061 (closed defect: invalid)

Opened 2 years ago

Last modified 2 years ago

fix Propel 1.4 on PHP 5.4

Reported by: m Assigned to: fabien
Priority: minor Milestone:
Component: other Version: 1.4.10
Keywords: Cc:
Qualification: Unreviewed

Description

Hi,

I need to learn propel, so I dig through the "Practical symfony for Propel".

After installation of sfGuardPlugin http://www.symfony-project.org/jobeet/1_4/Propel/en/13#chapter_13_plugins I did symfony propel:build --all --and-load

and get this error

[PHP Error] mysql_escape_string(): This function is deprecated; use mysql_real_escape_string() instead. [line 98 of /home/michal/projekty/jobeet/lib/vendor/symfony/lib/plugins/sfPropelPlugin/lib/vendor/propel-generator/classes/propel/engine/platform/MysqlPlatform.php]

Some problems occurred when executing the task: If the exception message is not clear enough, read the output of the task for more information

I fixed it. Patch attached.

Best regards, Michal

Attachments

propel2.patch (0.9 kB) - added by m on 08/09/12 10:58:16.
patch

Change History

08/09/12 10:58:16 changed by m

  • attachment propel2.patch added.

patch

09/19/12 07:38:40 changed by fabien

  • status changed from new to closed.
  • resolution set to invalid.

Propel is an independent project and such a fix must be reported to the upstream project. Thanks.